RoundCube -- DATABASE ERROR: CONNECTION FAILED!

Discussion in 'ISPConfig 3 Priority Support' started by conductive, May 5, 2021.

  1. conductive

    conductive Member HowtoForge Supporter

    IspConfig 3.2 Debian10. NGINX

    Aparently I did not learn my lesson from the last time I ran out of diskspace attempting to write backup scripts.
    https://www.howtoforge.com/community/threads/roundcube-configuration-error.86643/#post-420277

    This time I get a different RoundCube error:
    ----------------------------------
    DATABASE ERROR: CONNECTION FAILED!
    Unable to connect to the database!
    Please contact your server-administrator.
    ----------------------------------
    cat mail.err
    .
    .
    .
    May 4 16:22:01 SERVER dovecot: auth-worker(2468): Error: mysql(localhost): Connect failed to database (dbispconfig): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) - waiting for 25 seconds before retry
     
  2. Taleman

    Taleman Well-Known Member HowtoForge Supporter

  3. conductive

    conductive Member HowtoForge Supporter

    Code:
        cat mail.err
        .
        .
        .
        May 4 16:22:01 SERVER dovecot: auth-worker(2468): Error: mysql(localhost): Connect failed to database (dbispconfig): Can't connect to local MySQL server through socket '/var/run/mysqld/mysqld.sock' (111) - waiting for 25 seconds before retry
    
     
  4. Jesse Norell

    Jesse Norell ISPConfig Developer Staff Member ISPConfig Developer

    Check your logs for why mysqld isn't starting. Probably you need to repair tables or restore a backup or such.
     
  5. conductive

    conductive Member HowtoForge Supporter

    Code:
    [email protected]:/var/log/mysql# /etc/init.d/mysql status
    ● mariadb.service - MariaDB 10.3.27 database server
       Loaded: loaded (/lib/systemd/system/mariadb.service; enabled; vendor preset: enabled)
      Drop-In: /etc/systemd/system/mysql.service.d
               └─limits.conf
       Active: active (running) since Tue 2021-05-04 16:45:55 CDT; 5 days ago
         Docs: man:mysqld(8)
               https://mariadb.com/kb/en/library/systemd/
      Process: 610 ExecStartPre=/usr/bin/install -m 755 -o mysql -g root -d /var/run/mysqld (code=exited, status=0/SUCCESS)
      Process: 633 ExecStartPre=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
      Process: 648 ExecStartPre=/bin/sh -c [ ! -e /usr/bin/galera_recovery ] && VAR= ||   VAR=`cd /usr/bin/..; /usr/bin/galera_recovery`; [ $? -eq 0 ]   && systemctl set-environment _WSREP_START_POSITION=$VAR || exit 1 (code=exited, status=0/SUCCESS)
      Process: 889 ExecStartPost=/bin/sh -c systemctl unset-environment _WSREP_START_POSITION (code=exited, status=0/SUCCESS)
      Process: 893 ExecStartPost=/etc/mysql/debian-start (code=exited, status=0/SUCCESS)
     Main PID: 703 (mysqld)
       Status: "Taking your SQL requests now..."
        Tasks: 55 (limit: 4915)
       Memory: 511.7M
       CGroup: /system.slice/mariadb.service
               └─703 /usr/sbin/mysqld
    
    Mysql appears to be running.

    IspConfig is running and RoundCube has recovered and is running.
     
    Last edited: May 10, 2021

Share This Page